git.lirion.de

Of git, get, and gud

aboutsummaryrefslogtreecommitdiffstats
path: root/documentation/aux/kvm-inventory
diff options
context:
space:
mode:
Diffstat (limited to 'documentation/aux/kvm-inventory')
-rwxr-xr-xdocumentation/aux/kvm-inventory18
1 files changed, 18 insertions, 0 deletions
diff --git a/documentation/aux/kvm-inventory b/documentation/aux/kvm-inventory
new file mode 100755
index 0000000..c739514
--- /dev/null
+++ b/documentation/aux/kvm-inventory
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+SCDIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+source "$SCDIR/ctrl-c"||exit 1
+ODETFIL="$SCDIR/../kvm_overview"
+ODETDIR="$SCDIR/../kvm-details"
+
+echo -n "Fetching KVM config"
+(
+ echo -n ".";>"$ODETFIL";[ "$?" -ne 0 ]&&echo "failed."&&exit 1||true
+ echo -n ".";virsh list --all --title>>"$ODETFIL" 2>/dev/null;[ "$?" -ne 0 ]&&exit 1||true
+ echo -n ".";echo "" >> "$ODETFIL";virsh net-list --all>>"$ODETFIL" 2>/dev/null;[ "$?" -ne 0 ]&&exit 1||true
+ echo -n ".";echo "" >> "$ODETFIL";virsh pool-list --all --details>>"$ODETFIL" 2>/dev/null;[ "$?" -ne 0 ]&&exit 1||true
+ echo -n ".";for i in $(virsh list --all --name);do virsh dumpxml "$i">"$ODETDIR"/domain-"$i".xml||break;done;[ "$?" -ne 0 ]&&exit 1||true
+ echo -n ".";for i in $(virsh net-list --all --name);do virsh net-dumpxml "$i">"$ODETDIR"/net-"$i".xml||break;done;[ "$?" -ne 0 ]&&exit 1||true
+ echo -n ".";for i in $(virsh pool-list --all --name);do virsh pool-dumpxml "$i">"$ODETDIR"/pool-"$i".xml||break;done;[ "$?" -ne 0 ]&&exit 1||true
+)
+[ "$?" -ne 0 ]&&echo "failed."||echo "done."